# Architecture dependent python packages dir
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           libwfut
Version:        0.2.1
Release:        6%{?dist}
Summary:        Software updater tool for WorldForge applications

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://worldforge.org/
Source0:        http://downloads.sourceforge.net/worldforge/%{name}-%{version}.tar.gz
Patch0:         libwfut-0.2.1-gcc43.patch
Patch1:         libwfut-0.2.1-gcc44.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libsigc++20-devel libcurl-devel zlib-devel tinyxml-devel python-devel swig

%description
libwfut is the WorldForge Update Tool (WFUT) client side implementation in C++
for use directly by WorldForge clients.


%package devel
Summary: Development files for libwfut library
Group:   Development/Libraries
Requires: pkgconfig %{name} = %{version}-%{release} libsigc++20-devel libcurl-devel zlib-devel


%description devel
Development libraries and headers for linking against the libwfut library.


%package python
Summary: Python interface for libwfut library
Group:   Development/Libraries


%description python
Python interface for libwfut library.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%configure --disable-static
# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

#rm -f $RPM_BUILD_ROOT%{python_sitelib}/%{name}/*.a
rm -f $RPM_BUILD_ROOT%{python_sitelib}/%{name}/*.la

## cleaning up redundant docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

# remove wfut binary from package - will return it back when java wfut package will be obsoleted
rm -f $RPM_BUILD_ROOT%{_bindir}/wfut
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/wfut.1


%check
make check

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
#%{_bindir}/wfut
#%{_mandir}/man1/wfut.1.gz
%{_libdir}/libwfut-0.2.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-0.2
%{_libdir}/libwfut-0.2.so
%{_libdir}/pkgconfig/*.pc

%files python
%defattr(-,root,root,-)
%{python_sitelib}/%{name}


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Feb 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.2.1-5
- Fixing build on recent compiler

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.1-3
- Rebuild for Python 2.6

* Tue Nov 04 2008 Alexey Torkhov <atorkhov@gmail.com> 0.2.1-2
- Removing rpath

* Tue Nov 04 2008 Alexey Torkhov <atorkhov@gmail.com> 0.2.1-1
- Update to 0.2.1

* Thu Oct 23 2008 Alexey Torkhov <atorkhov@gmail.com> 0.2.0-4
- Fixing system-tinyxml patch.

* Fri Jun 20 2008 Alexey Torkhov <atorkhov@gmail.com> 0.2.0-3
- Fixing deps.

* Sun Jun 15 2008 Alexey Torkhov <atorkhov@gmail.com> 0.2.0-2
- Cleaning up.

* Wed May 17 2008 Alexey Torkhov <atorkhov@gmail.com> 0.2.0-1
- Modified spec file for Fedora like other WF packages.

* Tue Mar 25 2008 Simon Goodall <simon@worldforge.org>
- Initial spec file.
